Bug 675587 - Review Request: pytest - Simple powerful testing with Python
Summary: Review Request: pytest - Simple powerful testing with Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-06 21:04 UTC by Thomas Moschny
Modified: 2012-10-10 21:04 UTC (History)
6 users (show)

Fixed In Version: pytest-2.1.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 15:19:21 UTC
pingou: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Review Checklist for pytest (8.06 KB, application/octet-stream)
2011-03-23 18:12 UTC, Tim Flink
no flags Details

Description Thomas Moschny 2011-02-06 21:04:07 UTC
Spec URL: http://thm.fedorapeople.org/pytest/pytest.spec
SRPM URL: http://thm.fedorapeople.org/pytest/pytest-2.0.0-1.fc14.src.rpm

Description:
py.test provides simple, yet powerful testing for Python.

Notes:
- pytest was part of pylib (python-py) until python-py-1.3.4, and is no
longer included starting with python-py-1.4.0.

- It has a BR on the newer pylib (python-py), which has not been updated in rawhide yet because of a circular dependency to pytest, but can be found here: http://thm.fedorapeople.org/python-py/ .

Comment 1 Thomas Moschny 2011-03-17 23:41:00 UTC
Spec URL: http://thm.fedorapeople.org/pytest/pytest.spec
SRPM URL: http://thm.fedorapeople.org/pytest/pytest-2.0.2-1.fc14.src.rpm

%changelog
* Thu Mar 17 2011 Thomas Moschny <..> - 2.0.2-1
- Update to 2.0.2.

Comment 2 Robin Lee 2011-03-18 04:14:31 UTC
It seems that python3-py and python3-sphinx are not available in F14.

Comment 3 Thomas Moschny 2011-03-18 08:33:01 UTC
(In reply to comment #2)
> It seems that python3-py and python3-sphinx are not available in F14.

- python3-sphinx is not needed (docs are only built once)
- for python3-py, see above: it's in http://thm.fedorapeople.org/python-py/

Comment 4 Tim Flink 2011-03-23 18:12:26 UTC
Created attachment 487106 [details]
Review Checklist for pytest

Added comments for review (as an attachment) but I am not a packager, so someone else will have to do the actual review.

Comment 5 Jason Tibbitts 2011-03-23 22:33:21 UTC
Please do not attach review commentary; few people will look at it if you do.  Just include it as a regular comment.

Comment 6 Tim Flink 2011-03-24 02:47:50 UTC
(In reply to comment #5)
> Please do not attach review commentary; few people will look at it if you do. 
> Just include it as a regular comment.

Thanks for the pointer, I'm new to the review process and I appreciate the feedback.

Review comments below based on package review checklist (http://fedoraproject.org/wiki/User:Jlaska/Package_Review_Checklist):

[  OK  ] MUST: rpmlint must be run on every package

rpmlint for pytest-2.0.2-1.fc14.noarch.rpm:
pytest.noarch: W: spelling-error %description -l en_US py -> pt, p, y
pytest.noarch: W: no-manual-page-for-binary py.test-2.7
pytest.noarch: W: no-manual-page-for-binary py.test
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint for python3-pytest-2.0.2-1.fc14.noarch.rpm:
python3-pytest.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python3-pytest.noarch: W: no-manual-page-for-binary py.test-3.1
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[  OK  ] MUST: The package must be named according to the Package Naming 
         Guidelines
        => Since pytest has "py" in its name, python-pytest is not required
[  OK  ] MUST: The spec file name must match the base package %{name} [...]
[  OK  ] MUST: The package must meet the Packaging Guidelines
[  OK  ] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
         => MIT License
[  OK  ] MUST: The License field in the package spec file must match the 
         actual license
[  OK  ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[  OK  ] MUST: The spec file must be written in American English.
[  OK  ] MUST: The spec file for the package MUST be legible.
[  OK  ] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
         => sources at the spec URL match md5 listed at that same url. No
           separate md5 hash was provided with this spec file
[  OK  ] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
         => Compiled on fedora 14 x86_64

[  NA  ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
         => noarch package

[  OK  ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[  NA  ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[  OK  ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[  NA  ] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[  OK  ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[  OK  ] MUST: A package must not contain any duplicate files in the %files 
         listing.
[  OK  ] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[  OK  ] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[  OK  ] MUST: Each package must consistently use macros.
[  OK  ] MUST: The package must contain code, or permissable content.
[  OK  ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[  OK  ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[  NA  ] MUST: Header files must be in a -devel package.
[  NA  ] MUST: Static libraries must be in a -static package.
[  NA  ] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[  NA  ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[  NA  ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[  OK  ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[  NA  ] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[  OK  ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[  OK  ] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[  OK  ] MUST: All filenames in rpm packages must be valid UTF-8.


[  NA  ] SHOULD query upstream to include it.
        ==> Already includes the license

[  NO  ] SHOULD: The description and summary sections in the package spec file
        should contain translations for supported Non-English languages, if
        available.
        => no Non-English translations are available

[  OK  ] SHOULD: The reviewer should test that the package builds in mock.
[  NA  ] SHOULD: The package should compile and build into binary rpms on all
        supported architectures.
        => This is a noarch RPM

[  OK  ] SHOULD: The reviewer should test that the package functions as
        described. A package should not segfault instead of running, for
        example.
       => ran through the example test cases in py.test for both python2 and
          python3 versions
[  OK  ] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
        vague, and left up to the reviewers judgement to determine sanity.
[  NA  ] SHOULD: Usually, subpackages other than devel should require the base
        package using a fully versioned dependency.
[  NA  ] SHOULD: The placement of pkgconfig(.pc) files depends on their
        usecase, and this is usually for development purposes, so should be
        placed in a -devel pkg. A reasonable exception is that the main pkg
        itself is a devel tool not installed in a user runtime, e.g. gcc or
        gdb.
[  OK  ] SHOULD: If the package has file dependencies outside of /etc, /bin,
        /sbin, /usr/bin, or /usr/sbin consider requiring the package which
        provides the file instead of the file itself.
[  NO  ] SHOULD: your package should contain man pages for binaries/scripts. If
        it doesn't, work with upstream to add them where they make sense.
        => Technically, man pages could be built from the docs, but after
        looking at them, I'm not sure how helpful they would really be since
        they're just a reformatted version of the entire html docs

Comment 7 Thomas Moschny 2011-05-30 20:00:52 UTC
Spec URL: http://thm.fedorapeople.org/pytest/pytest.spec
SRPM URL: http://thm.fedorapeople.org/pytest/pytest-2.0.3-1.fc15.src.rpm

%changelog
* Mon May 30 2011 Thomas Moschny <..> - 2.0.3-1
- Update to 2.0.3.

Comment 8 Tim Flink 2011-07-15 22:41:02 UTC
I didn't run rpmlint on the F15 rpms when I did the initial review work but re-ran it recently as part of the review for pycmd.

pytest shows similar python-bytecode-inconsistent-mtime errors with python 3.2 (at the end of this comment). As discussed in bug 675588, this is an issue with setuputils in python 3.2 where there are extra .pyc files (tracked by bug 722578). The actual .pyc files have the correct mtime and rpmlint is erroring out on the extras.

These failures shouldn't affect the review - adding the information to keep track of it

= rpmlint output =

$ rpmlint /var/lib/mock/fedora-15-x86_64/result/python3-pytest-2.0.3-1.fc15.noarch.rpm 
python3-pytest.noarch: I: enchant-dictionary-not-found en_US
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/main.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/main.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/pdb.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/pdb.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/main.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/main.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/junitxml.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/junitxml.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/pytester.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/pytester.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/recwarn.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/recwarn.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/recwarn.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/recwarn.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/pastebin.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/pastebin.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/pastebin.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/pastebin.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/junitxml.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/junitxml.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/helpconfig.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/helpconfig.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/core.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/core.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/core.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/core.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/resultlog.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/resultlog.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/resultlog.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/resultlog.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/assertion.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/assertion.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/helpconfig.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/helpconfig.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/capture.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/capture.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/pytest.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/pytest.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/capture.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/capture.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/pytest.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/pytest.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/python.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/python.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/genscript.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/genscript.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/python.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/python.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/genscript.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/genscript.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/pdb.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/pdb.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/mark.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/mark.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/monkeypatch.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/monkeypatch.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/mark.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/mark.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/monkeypatch.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/monkeypatch.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/standalonetemplate.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/standalonetemplate.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/pytester.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/pytester.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/standalonetemplate.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/standalonetemplate.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/__init__.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/__init__.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/skipping.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/skipping.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/skipping.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/skipping.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/__init__.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/__init__.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/doctest.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/doctest.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/doctest.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/doctest.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/terminal.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/terminal.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/terminal.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/terminal.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/nose.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/nose.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/unittest.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/unittest.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/nose.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/nose.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/unittest.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/unittest.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/hookspec.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/hookspec.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/hookspec.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/hookspec.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/runner.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/runner.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/assertion.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/assertion.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/runner.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/runner.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/tmpdir.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/tmpdir.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/config.pyc 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/config.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/config.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/config.py 2011-07-15T09:28:15
python3-pytest.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.2/site-packages/_pytest/tmpdir.pyo 2011-04-17T23:15:38 /usr/lib/python3.2/site-packages/_pytest/tmpdir.py 2011-07-15T09:28:15
python3-pytest.noarch: W: no-manual-page-for-binary py.test-3.2
1 packages and 0 specfiles checked; 54 errors, 1 warnings.

Comment 9 Thomas Moschny 2011-08-09 11:39:19 UTC
Spec URL: http://thm.fedorapeople.org/pytest/pytest.spec
SRPM URL: http://thm.fedorapeople.org/pytest/pytest-2.1.0-1.fc15.src.rpm

%changelog
* Tue Aug  9 2011 Thomas Moschny <..> - 2.1.0-1
- Update to 2.1.0.

Comment 10 Pierre-YvesChibon 2011-08-10 14:06:45 UTC
[X] rpmlint must be run on every package.
        pytest.src: W: spelling-error %description -l en_US py -> pt, p, y
        pytest.noarch: W: spelling-error %description -l en_US py -> pt, p, y
        pytest.noarch: W: no-manual-page-for-binary py.test-2.7
        pytest.noarch: W: no-manual-page-for-binary py.test
        python3-pytest.noarch: W: spelling-error %description -l en_US py -> pt, p, y
    [ ... bunch a rpmlint error related to python3 as discussed in https://bugzilla.redhat.com/show_bug.cgi?id=675588]
        python3-pytest.noarch: W: no-manual-page-for-binary py.test-3.2
        3 packages and 0 specfiles checked; 64 errors, 6 warnings.

[X] The package must be named according to the Package Naming Guidelines.

[X] The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.

[X] The package must meet the Packaging Guidelines.

[X] The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.

[X] The License field in the package spec file must match the actual license.
   License is MIT

[X] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s) for
     the package must be included in %doc.

[X] The spec file must be written in American English.

[X] The spec file for the package MUST be legible.

[X] The sources used to build the package must match the upstream source, as
      provided in the spec URL.
   source from the src.rpm: d9593ccb603a246918ee651cd7d71fdfd7fbfc33  rpmbuild/SOURCES/pytest-2.1.0.zip
   source from upstream:    d9593ccb603a246918ee651cd7d71fdfd7fbfc33  Downloads/pytest-2.1.0.zip

[X] The package MUST successfully compile and build into binary rpms on at
     least one primary architecture.
    Built on Fedora 15 x86_64
    - Some of the tests are currently failing, I believe you have seen it.

[NA] If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.

[X] All build dependencies must be listed in BuildRequires, except for any
     that are listed in the exceptions section of the Packaging Guidelines ;
     inclusion of those as BuildRequires is optional.

[NA] The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[NA] Every binary RPM package (or subpackage) which stores shared library
      files(not just symlinks) in any of the dynamic linker's default paths,
      must call ldconfig in %post and %postun.

[X] Packages must NOT bundle copies of system libraries.

[X] If the package is designed to be relocatable, the packager must state
      this fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.

[X] A package must own all directories that it creates. If it does not create
     a directory that it uses, then it should require a package which does
     create that directory.

[X] A Fedora package must not list a file more than once in the spec file's
      %files listings. 

[X] Permissions on files must be set properly. Executables should be set with
     executable permissions, for example. Every %files section must include a
     %defattr(...) line.

[X] Each package must consistently use macros.

[X] The package must contain code, or permissable content.

[NA] Large documentation files must go in a -doc subpackage.

[X] If a package includes something as %doc, it must not affect the runtime
     of the application. To summarize: If it is in %doc, the program must run
     properly if it is not present.

[NA] Header files must be in a -devel package.

[NA] Static libraries must be in a -static package.

[NA] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.

[NA] In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.

[NA] Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.

[NA] Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.

[X] Packages must not own files or directories already owned by other
      packages.

[X] All filenames in rpm packages must be valid UTF-8.


APPROVED

Comment 11 Thomas Moschny 2011-08-10 14:48:15 UTC
Many thanks to pingou for the final review, and tflink for his comments!

New Package SCM Request
=======================
Package Name: pytest
Short Description: Simple powerful testing with Python
Owners: thm
Branches: f16

Comment 12 Gwyn Ciesla 2011-08-10 15:05:38 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2011-08-11 12:59:09 UTC
pytest-2.1.0-2.fc16,pycmd-1.0-3.fc16,python-py-1.4.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pytest-2.1.0-2.fc16,pycmd-1.0-3.fc16,python-py-1.4.4-2.fc16

Comment 14 Fedora Update System 2011-08-12 04:21:36 UTC
pytest-2.1.0-2.fc16, pycmd-1.0-3.fc16, python-py-1.4.4-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 15 Fedora Update System 2011-08-22 15:19:09 UTC
pytest-2.1.0-2.fc16, pycmd-1.0-3.fc16, python-py-1.4.4-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 16 Thomas Moschny 2012-10-10 19:31:52 UTC
Package Change Request
======================
Package Name: pytest
New Branches: el6

Comment 17 Gwyn Ciesla 2012-10-10 19:49:24 UTC
Misformatted request.

Comment 18 Thomas Moschny 2012-10-10 19:53:29 UTC
Package Change Request
======================
Package Name: pytest
New Branches: el6
Owners: thm

Comment 19 Gwyn Ciesla 2012-10-10 21:04:28 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.